package emps.v4_rekordy;

import java.util.List;

public class F2_WypiszBogatych {

    public static void main(String[] args) {
        List<Employee> emps = ObslugaCSV.wczytajDane();
        
        System.out.println("BOGACI:");
        emps.stream()
            .filter(emp -> emp.salary() >= 10_000)
            .forEach(emp -> System.out.printf("Pracownik nr %d, %s %s (%s) zarabia %d\n",
                emp.employeeId(), emp.firstName(), emp.lastName(), emp.jobTitle(), emp.salary()));
        
        System.out.println("\nBIEDNI:");
        emps.stream()
            .filter(emp -> emp.salary() < 5000)
            .map(Employee::danePracownika)
            //.map(String::toUpperCase)
            .forEach(System.out::println);
    }

}

